<?php
/**
 * @package     NA Core
 * @version     0.1
 * @author      Nanosumeo
 * @link        http://nanosumeo.co
 * @copyright   Copyright (c) 2015 Nanosumeo
 * @license     GPL v2
 */
if (!class_exists('sumeo_Customize')) {
    class sumeo_Customize
    {
        public $customizers = array();

        public $panels = array();

        public function init()
        {
            $this->customizer();
            add_action('customize_controls_enqueue_scripts', array($this, 'sumeo_customizer_script'));
            add_action('customize_register', array($this, 'sumeo_register_theme_customizer'));
            add_action('customize_register', array($this, 'remove_default_customize_section'), 20);
        }

        public static function &getInstance()
        {
            static $instance;
            if (!isset($instance)) {
                $instance = new sumeo_Customize();
            }
            return $instance;
        }

        protected function customizer()
        {
            $this->panels = array(

                'site_panel' => array(
                    'title'             => esc_html__('Style Setting','sumeo'),
                    'description'       => esc_html__('Style Setting >','sumeo'),
                    'priority'          =>  101,
                ),
                'sidebar_panel' => array(
                    'title'             => esc_html__('Sidebar','sumeo'),
                    'description'       => esc_html__('Sidebar Setting','sumeo'),
                    'priority'          => 103,
                ),
                'sumeo_option_panel' => array(
                    'title'             => esc_html__('Option','sumeo'),
                    'description'       => '',
                    'priority'          => 104,
                ),
            );

            $this->customizers = array(
                'title_tagline' => array(
                    'title' => esc_html__('Site Identity', 'sumeo'),
                    'priority'  =>  1,
                    'settings' => array(
                        'sumeo_logo' => array(
                            'class' => 'image',
                            'label' => esc_html__('Logo', 'sumeo'),
                            'description' => esc_html__('Upload Logo Image', 'sumeo'),
                            'priority' => 12
                        ),
                    )
                ),
//2.General ============================================================================================================
                'sumeo_general' => array(
                    'title' => esc_html__('General', 'sumeo'),
                    'description' => '',
                    'priority' => 2,
                    'settings' => array(

                        'sumeo_bg_body' => array(
                            'label'         => esc_html__('Background - Body', 'sumeo'),
                            'description'   => '',
                            'class'         => 'color',
                            'priority'      => 2,
                            'params'        => array(
                                'default'   => '',
                            ),
                        ),
                        'sumeo_primary_body' => array(
                            'label'         => esc_html__('Primary - Color', 'sumeo'),
                            'description'   => '',
                            'class'         => 'color',
                            'priority'      => 1,
                            'params'        => array(
                                'default'   => '',
                            ),
                        ),
                    )
                ),
//3.Header =============================================================================================================
                'sumeo_header' => array(
                    'title' => esc_html__('Header', 'sumeo'),
                    'description' => '',
                    'priority' => 3,
                    'settings' => array(
                        //header
                        'sumeo_header_heading' => array(
                            'class' => 'heading',
                            'label' => esc_html__('Header', 'sumeo'),
                            'priority' => 0,
                        ),

                        'sumeo_header' => array(
                            'class'=> 'layout',
                            'label' => esc_html__('Header Layout', 'sumeo'),
                            'priority' =>1,
                            'choices' => array(
                                'simple'                   => get_template_directory_uri().'/assets/images/header/default.png',
                                'center'                   => get_template_directory_uri().'/assets/images/header/center.png',
                                'left'                     => get_template_directory_uri().'/assets/images/header/left.png',
                                'center'                     => get_template_directory_uri().'/assets/images/header/center.png',
                            ),
                            'params' => array(
                                'default' => 'simple',
                            ),
                        ),

                        'sumeo_bg_header' => array(
                            'label'         => esc_html__('Background - Header', 'sumeo'),
                            'description'   => '',
                            'class'         => 'color',
                            'priority'      => 5,
                            'params'        => array(
                                'default'   => '',
                            ),
                        ),

                        'sumeo_color_menu' => array(
                            'label'         => esc_html__('Color - Text', 'sumeo'),
                            'description'   => '',
                            'class'         => 'color',
                            'priority'      => 6,
                            'params'        => array(
                                'default'   => '',
                            ),
                        ),
                    )
                ),
//4.Footer =============================================================================================================
                'sumeo_new_section_footer' => array(
                    'title' => esc_html__('Footer', 'sumeo'),
                    'description' => '',
                    'priority' => 4,
                    'settings' => array(
                        'sumeo_footer' => array(
                            'type' => 'select',
                            'label' => esc_html__('Choose Footer Style', 'sumeo'),
                            'description' => '',
                            'priority' => -1,
                            'choices' => array(
                                '1'     => esc_html__('Footer 1', 'sumeo'),
                                'hidden' => esc_html__('Hidden Footer', 'sumeo')
                            ),
                            'params' => array(
                                'default' => '1',
                            ),
                        ),


                        'sumeo_enable_footer' => array(
                            'type' => 'checkbox',
                            'label' => esc_html__('Enable Footer', 'sumeo'),
                            'description' => '',
                            'priority' => 0,
                            'params' => array(
                                'default' => '1',
                            ),
                        ),
                        'sumeo_enable_copyright' => array(
                            'type' => 'checkbox',
                            'label' => esc_html__('Enable Copyright', 'sumeo'),
                            'description' => '',
                            'priority' => 0,
                            'params' => array(
                                'default' => '1',
                            ),
                        ),
                        'sumeo_copyright_text' => array(
                            'type' => 'textarea',
                            'label' => esc_html__('Footer Copyright Text', 'sumeo'),
                            'description' => '',
                            'priority' => 0,
                        ),

                        'sumeo_bg_footer' => array(
                            'label'         => esc_html__('Background - Footer', 'sumeo'),
                            'description'   => '',
                            'class'         => 'color',
                            'priority'      => 5,
                            'params'        => array(
                                'default'   => '',
                            ),

                        ),
                        'sumeo_color_footer' => array(
                            'label'         => esc_html__('Color - Text ', 'sumeo'),
                            'description'   => '',
                            'class'         => 'color',
                            'priority'      => 6,
                            'params'        => array(
                                'default'   => '',
                            ),

                        ),
                    )
                ),

//5.Categories Blog ====================================================================================================
                'sumeo_blog' => array(
                    'title' => esc_html__('Blogs Categories', 'sumeo'),
                    'description' => '',
                    'priority' => 5,
                    'settings' => array(

                        'sumeo_sidebar_cat' => array(
                            'class'         => 'layout',
                            'label'         => esc_html__('Sidebar Layout', 'sumeo'),
                            'priority'      =>3,
                            'choices'       => array(
                                'left'         => get_template_directory_uri().'/assets/images/left.png',
                                'right'        => get_template_directory_uri().'/assets/images/right.png',
                                'full'         => get_template_directory_uri().'/assets/images/full.png',
                            ),
                            'params' => array(
                                'default' => 'right',
                            ),
                        ),
                        'sumeo_siderbar_cat_info' => array(
                            'class' => 'info',
                            'label' => esc_html__('Info', 'sumeo'),
                            'description' => esc_html__( 'Please goto Appearance > Widgets > drop drag widget to the sidebar Article.', 'sumeo' ),
                            'priority' => 4,
                        ),
                        //post-layout-cat
                        'sumeo_title_cat_heading' => array(
                            'class' => 'heading',
                            'label' => esc_html__('Post Title Category', 'sumeo'),
                            'priority' =>5,
                        ),
                        'sumeo_post_title_heading' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Title Category ','sumeo'),
                            'priority' => 6,
                            'params' => array(
                                'default' => true,
                            ),
                        ),

                        'sumeo_post_cat_layout' => array(
                            'class' => 'heading',
                            'label' => esc_html__('Category layout', 'sumeo'),
                            'priority' =>8,
                        ),
                        'sumeo_layout_cat_content' => array(
                            'class'         => 'layout',
                            'priority'      =>9,
                            'choices'       => array(
                                'tran'        => get_template_directory_uri().'/assets/images/box-tran.jpg',
                                'grid'        => get_template_directory_uri().'/assets/images/box-grid.jpg',
                                'list'        => get_template_directory_uri().'/assets/images/box-list.jpg',
                            ),
                            'params' => array(
                                'default' => 'list',
                            ),
                        ),
                        'sumeo_number_post_cat' => array(
                            'class' => 'slider',
                            'label' => esc_html__('Number post on a row', 'sumeo'),
                            'description' => '',
                            'priority' =>10,
                            'choices' => array(
                                'max' => 4,
                                'min' => 1,
                                'step' => 1
                            ),
                            'params'      => array(
                                'default' =>1
                            ),
                        ),
                        //post article content
                        'sumeo_post_cat_article' => array(
                            'class' => 'heading',
                            'label' => esc_html__('Post content', 'sumeo'),
                            'priority' =>11,
                        ),
                        'sumeo_post_entry_content' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Content ','sumeo'),
                            'priority' => 12,
                            'params' => array(
                                'default' => true,
                            ),
                        ),
                        'sumeo_number_content_post' => array(
                            'class' => 'slider',
                            'label' => esc_html__('Number of words in the description content', 'sumeo'),
                            'description' => '',
                            'priority' =>13,
                            'choices' => array(
                                'max' => 50,
                                'min' => 20,
                                'step' => 5
                            ),
                            'params'      => array(
                                'default' =>50
                            ),
                        ),
                        //post meta
                        'sumeo_cat_meta' => array(
                            'class' => 'heading',
                            'label' => esc_html__('Post meta', 'sumeo'),
                            'priority' =>14,
                        ),
                        'sumeo_post_meta_author' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Author ','sumeo'),
                            'priority' => 15,
                            'params' => array(
                                'default' => false,
                            ),
                        ),
                        'sumeo_post_meta_date' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Date ','sumeo'),
                            'priority' => 16,
                            'params' => array(
                                'default' => true,
                            ),
                        ),
                        'sumeo_post_meta_comment' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Comment ','sumeo'),
                            'priority' => 17,
                            'params' => array(
                                'default' => true,
                            ),
                        ),
                        'sumeo_post_meta_view' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('View ','sumeo'),
                            'priority' => 18,
                            'params' => array(
                                'default' => true,
                            ),
                        ),
                    ),
                ),
//6.Single blog ========================================================================================================
                'sumeo_blog_single' => array(
                    'title' => esc_html__('Blog Single', 'sumeo'),
                    'description' => '',
                    'priority' => 6,
                    'settings' => array(
                        'sumeo_sidebar_single' => array(
                            'class'         => 'layout',
                            'label'         => esc_html__('Sidebar Layout', 'sumeo'),
                            'priority'      =>13,
                            'choices'       => array(
                                'left'         => get_template_directory_uri().'/assets/images/left.png',
                                'right'        => get_template_directory_uri().'/assets/images/right.png',
                                'full'         => get_template_directory_uri().'/assets/images/full.png',
                            ),
                            'params' => array(
                                'default' => 'right',
                            ),
                        ),

                        'sumeo_siderbar_single_info' => array(
                            'class' => 'info',
                            'label' => esc_html__('Info', 'sumeo'),
                            'description' => esc_html__( 'Please goto Appearance > Widgets > drop drag widget to the sidebar Article.', 'sumeo' ),
                            'priority' => 14,
                        ),

                        //share
                        'sumeo_single_share' => array(
                            'class' => 'heading',
                            'label' => esc_html__('Share', 'sumeo'),
                            'priority' =>19,
                        ),
                        'sumeo_share_facebook' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Share Facebook  ','sumeo'),
                            'priority' => 21,
                            'params' => array(
                                'default' => true,
                            ),
                        ),
                        'sumeo_share_twitter' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Share Twitter  ','sumeo'),
                            'priority' => 22,
                            'params' => array(
                                'default' => true,
                            ),
                        ),
                        'sumeo_share_google' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Share Google  ','sumeo'),
                            'priority' => 23,
                            'params' => array(
                                'default' => true,
                            ),
                        ),

                        'sumeo_share_linkedin' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Share Linkedin  ','sumeo'),
                            'priority' => 24,
                            'params' => array(
                                'default' => false,
                            ),
                        ),

                        'sumeo_share_pinterest' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Share Pinterest  ','sumeo'),
                            'priority' => 25,
                            'params' => array(
                                'default' => false,
                            ),
                        ),
                        //comments
                        'sumeo_single_comments' => array(
                            'class' => 'heading',
                            'label' => esc_html__('Comments', 'sumeo'),
                            'priority' =>28,
                        ),
                        'sumeo_comments_single_facebook' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Enable Facebook Comments ','sumeo'),
                            'priority' => 29,
                            'params' => array(
                                'default' => false,
                            ),
                        ),
                        'sumeo_comments_single' => array(
                            'type'          => 'text',
                            'label'         => esc_html__('Your app id :', 'sumeo'),
                            'priority'      => 30,
                            'params'        => array(
                                'default'   => '',
                            ),
                        ),
                        'sumeo_comments_single_info' => array(
                            'class' => 'info',
                            'label' => esc_html__('Info', 'sumeo'),
                            'description' => esc_html__('If you want show notification on  your facebook , please input app id ...', 'sumeo' ),
                            'priority' => 31,
                        ),
                    ),
                ),
//7.Adsense blog ========================================================================================================
                'sumeo_ads' => array(
                    'title' => esc_html__('Adsense Setting', 'sumeo'),
                    'description' => '',
                    'priority' => 7,
                    'settings' => array(

                        'sumeo_ads_rectangle' => array(
                            'type' => 'textarea',
                            'label' => esc_html__(' ADS Size: Large Rectangle', 'sumeo'),
                            'description' => '',
                            'priority' => 1,
                        ),
                        'sumeo_ads_rectangle_info' => array(
                            'class' => 'info',
                            'label' => esc_html__('Info', 'sumeo'),
                            'description' => esc_html__('Add code adsbygoogle with the size is: 250x360,336x280 ,300x250 ...', 'sumeo' ),
                            'priority' => 2,
                        ),
                        'sumeo_ads_leaderboard' => array(
                            'type' => 'textarea',
                            'label' => esc_html__('ADS Size: Leaderboard', 'sumeo'),
                            'description' => esc_html__('Add code adsbygoogle with the size is: 468x60 ,728x90, 920x180 ...','sumeo'),
                            'priority' => 3,
                        ),
                        'sumeo_heading_ads_single' => array(
                            'class' => 'heading',
                            'label' => esc_html__('Single', 'sumeo'),
                            'priority' =>20,
                        ),
                        'sumeo_ads_single_article' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Ads at the end of the article ','sumeo'),
                            'priority' => 21,
                            'params' => array(
                                'default' => false,
                            ),
                        ),
                        'sumeo_ads_single_comment' => array(
                            'class' => 'toggle',
                            'label' => esc_html__('Ads at the top of the Comment ','sumeo'),
                            'priority' => 21,
                            'params' => array(
                                'default' => false,
                            ),
                        ),
                    )
                ),
//Font   ===============================================================================================================
                'sumeo_new_section_font_size' => array(
                    'title' => esc_html__('Font', 'sumeo'),
                    'priority' => 8,
                    'settings' => array(
                        'sumeo_body_font_google' => array(
                            'type'          => 'select',
                            'label'         => esc_html__('Use Google Font', 'sumeo'),
                            'choices'       => sumeo_googlefont(),
                            'priority'      => 0,
                            'params'        => array(
                                'default'       => 'Roboto',
                            ),

                        ),
                        'sumeo_body_font_size' => array(
                            'class' => 'slider',
                            'label' => esc_html__('Font size ', 'sumeo'),
                            'description' => '',
                            'priority' =>8,
                            'choices' => array(
                                'max' => 30,
                                'min' => 10,
                                'step' => 1
                            ),
                            'params'      => array(
                                'default' => 16,
                            ),
                        ),
                    )
                ),
//Style  ===============================================================================================================


            );
        }

        public function sumeo_customizer_script()
        {
            // Register
            wp_enqueue_style('sumeo-customize', get_template_directory_uri() . '/inc/customize/assets/css/customizer.css', array(),null);
            wp_enqueue_style('jquery-ui', get_template_directory_uri() . '/inc/customize/assets/css/jquery-ui.min.css', array(),null);
            wp_enqueue_script('sumeo-customize-js', get_template_directory_uri() . '/inc/customize/assets/js/customizer.js', array('jquery'), null, true);
        }

        public function add_customize($customizers) {
            $this->customizers = array_merge($this->customizers, $customizers);
        }


        public function sumeo_register_theme_customizer()
        {
            global $wp_customize;

            foreach ($this->customizers as $section => $section_params) {

                //add section
                $wp_customize->add_section($section, $section_params);
                if (isset($section_params['settings']) && count($section_params['settings']) > 0) {
                    foreach ($section_params['settings'] as $setting => $params) {

                        //add setting
                        $setting_params = array();
                        if (isset($params['params'])) {
                            $setting_params = $params['params'];
                            unset($params['params']);
                        }
                        $wp_customize->add_setting($setting, array_merge( array( 'sanitize_callback' => null ), $setting_params));
                        //Get class control
                        $class = 'WP_Customize_Control';
                        if (isset($params['class']) && !empty($params['class'])) {
                            $class = 'WP_Customize_' . ucfirst($params['class']) . '_Control';
                            unset($params['class']);
                        }

                        //add params section and settings
                        $params['section'] = $section;
                        $params['settings'] = $setting;

                        //add controll
                        $wp_customize->add_control(
                            new $class($wp_customize, $setting, $params)
                        );
                    }
                }
            }

            foreach($this->panels as $key => $panel){
                $wp_customize->add_panel($key, $panel);
            }

            return;
        }

        public function remove_default_customize_section()
        {
            global $wp_customize;
//            // Remove Sections
//            $wp_customize->remove_section('title_tagline');
            $wp_customize->remove_section('header_image');
            $wp_customize->remove_section('nav');
            $wp_customize->remove_section('static_front_page');
            $wp_customize->remove_section('colors');
            $wp_customize->remove_section('background_image');
        }
    }
}