<?php
/**
 * The default template for displaying content
 *
 * @author      Nanosumeo
 * @link        http://nanosumeo.co
 * @copyright   Copyright (c) 2015 Nanosumeo
 * @license     GPL v2
 */
$format = get_post_format();
$placeholder_image = get_template_directory_uri(). '/assets/images/layzyload-tran.jpg';
?>

<article <?php post_class('post-item post-tran  clearfix'); ?>>
    <div class="article-tran hover-share-item">
        <?php if(has_post_thumbnail()) : ?>
            <?php if(!get_theme_mod('sp_post_thumb')) : ?>
                <?php if(has_post_thumbnail()) : ?>
                    <?php $thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), "sumeo-blog-tran" ); ?>
                    <div class="post-image">
                        <a href="<?php echo get_permalink() ?>" class="bgr-item"></a>
                        <a href=" <?php echo get_permalink() ?>">
                            <img  class="lazy" src="<?php echo esc_url($placeholder_image);?>"  data-original="<?php echo esc_attr($thumbnail_src[0]);?>" data-lazy="<?php echo esc_attr($thumbnail_src[0]);?>" alt="image-post"/>
                        </a>
                    </div>
                <?php endif;?>
                <div class="article-content">
                    <span class="post-cat"><?php echo sumeo_category(' '); ?></span>
                    <div class="entry-header clearfix">
                        <header class="entry-header-title">
                            <?php
                            the_title( sprintf( '<h3 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
                            ?>
                        </header>
                        <!-- .entry-header -->
                        <?php
                        if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) && !get_the_title()) {
                            $time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';

                            if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
                                $time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time><time class="updated" datetime="%3$s">%4$s</time>';
                            }

                            $time_string = sprintf( $time_string,
                                esc_attr( get_the_date( 'c' ) ),
                                get_the_date(),
                                esc_attr( get_the_modified_date( 'c' ) ),
                                get_the_modified_date()
                            );

                            printf( '<span class="posted-on"><span class="screen-reader-text">%1$s </span><a href="%2$s" rel="bookmark"><i class="icon icon-clock"></i> %3$s</a></span>',
                                _x( 'Posted on', 'Used before publish date.', 'sumeo' ),
                                esc_url( get_permalink() ),
                                $time_string
                            );
                        }
                        ?>
                    </div>
                    <div class="article-meta clearfix">
                        <?php sumeo_entry_meta(); ?>
                    </div>
                </div>
            <?php endif; ?>
        <?php else :
            $placeholder_image = get_template_directory_uri(). '/assets/images/placeholder-trans.png';
            ?>
            <div class="post-image  placeholder-trans ">
                <a href="<?php echo get_permalink() ?>"><?php the_post_thumbnail('buggy-blog-tran'); ?>
                    <img src="<?php echo esc_url($placeholder_image); ?>" class="wp-post-image" width="1170" height="500">
                </a>
            </div>
            <div class="article-content no-thumb">
                <span class="post-cat"><?php echo sumeo_category(' '); ?></span>
                <div class="entry-header clearfix">
                    <header class="entry-header-title">
                        <?php
                        the_title( sprintf( '<h3 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
                        ?>
                    </header>
                </div>
                <div class="article-meta clearfix">
                    <?php sumeo_entry_meta(); ?>
                </div>
                <div class="entry-content">
                    <?php
                    if ( has_excerpt() || is_search() ){
                        sumeo_excerpt();
                    }
                    else{
                        echo sumeo_content(25);
                    }

                    wp_link_pages( array(
                        'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'sumeo' ) . '</span>',
                        'after'       => '</div>',
                        'link_before' => '<span class="page-numbers">',
                        'link_after'  => '</span>',
                        'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'sumeo' ) . ' </span>%',
                        'separator'   => '<span class="screen-reader-text">, </span>',
                    ) );
                    ?>

                </div>
            </div>
        <?php endif; ?>
    </div>

</article><!-- #post-## -->
