<?php
/**
 * The default template for displaying content
 *
 * @author      Nanoliberty
 * @link        http://nanoliberty.co
 * @copyright   Copyright (c) 2015 Nanoliberty
 * @license     GPL v2
 */

$format = get_post_format();
$add_class='';
$args = array(
    'category_name'  => $atts['category_name'],
    'post_type'      => 'post',
    'post_status'    => 'publish',
    'posts_per_page' => $atts['number_post'],

);
if( $atts['type_post'] == 'featured' ){
    $meta_query[] = array(
        'key' => '_featured',
        'value' => 'yes'
    );
    $args['meta_query'] = $meta_query;
}

$the_query = new WP_Query($args);
$count = $the_query->found_posts;

?>
<?php if ($atts['title']) { ?>
    <h5 class="widgettitle title-vertical"><?php echo esc_html($atts['title']); ?></h5>
<?php } ?>
<?php
switch ($atts['layout_types']) {
    case 'box':?>
        <div class="<?php echo 'slider-blog blog-' . esc_attr($atts['layout_types']) . '-layout' ?>">
            <div class="archive-blog  row article-carousel slider-full" data-number="1" data-mobile = "1" data-mobilemin = "1" data-dots="true" data-arrows="false">
                <?php if ($the_query->have_posts()):
                    while ($the_query->have_posts()): $the_query->the_post(); ?>
                        <?php na_part_templates('layout/slider','box', array('atts' => $atts));?>
                    <?php endwhile;
                endif;
                wp_reset_postdata();?>
            </div>

        </div>
        <?php break;

    case 'box-half':?>
        <div class="article-carousel slider-half " data-number="1" data-table="1" data-mobile = "1" data-mobilemin = "1" data-dots="true" data-arrows="false">
            <?php if ($the_query->have_posts()):
                while ($the_query->have_posts()): $the_query->the_post(); ?>
                    <?php na_part_templates('layout/slider','half', array('atts' => $atts));?>
                <?php endwhile;
            endif;
            wp_reset_postdata();?>
        </div>
        <?php break;
    case 'column3':?>
        <div class="article-carousel column3"  data-number="1" data-mobile = "1" data-table="1" data-mobilemin = "1" data-dots="false" data-arrows="true">
            <?php $k=1;
            while ( $the_query->have_posts() ) {
                $the_query->the_post(); ?>
                <?php if ($k == 1 || (($k - 1) % 3) == 0) { ?>
                    <?php //created row ?>
                    <div class="row">
                        <div class="description-hidden archive-blog article-grid clearfix">
                            <?php //col large ?>
                            <div class="col-sm-12 col-md-8 box-large">
                                <?php na_part_templates('layout/content-tran'); ?>
                            </div>
                        <?php if ($k ==  $atts['number_post'] || $k ==$count ) { ?>
                           <?php //end row ?>
                               </div>
                           </div>
                       <?php }?>
                <?php }
               else{ ?>
                        <?php //col small ?>
                        <div class="col-sm-6 col-md-4 box-small">
                            <?php na_part_templates('layout/content-tran'); ?>
                        </div>
                   <?php if (($k % 3) == 0 || $k ==$count || $k ==  $atts['number_post']  ) { ?>
                       <?php //end row ?>
                           </div>
                       </div>
                   <?php }?>
                <?php } ?>
                <?php $k++;
            }
            wp_reset_postdata();?>
        </div>
    <?php break;
     case 'column-center':?>
        <div class="<?php echo 'blog-' . esc_attr($atts['layout_types']) . '-layout' ?> column-center slider-blog">
            <?php if ($atts['title']) { ?>
                <h5 class="widgettitle"><?php echo esc_html($atts['title']); ?></h5>
            <?php } ?>
            <div class="archive-blog row article-carousel-center " data-number="1" data-mobile = "1" data-mobilemin = "1" data-table="1" data-dots="false" data-arrows="true">
                <?php if ($the_query->have_posts()):
                    while ($the_query->have_posts()): $the_query->the_post(); ?>
                       <?php na_part_templates('layout/slider','box', array('atts' => $atts));?>
                        <?php endwhile;
                endif;
                wp_reset_postdata();?>
            </div>
        </div>
        <?php break;
    default:?>
        <div class="<?php echo 'slider-blog blog-' . esc_attr($atts['layout_types']) . '-layout' ?>">
            <div class="archive-blog  article-carousel slider-full " data-number="1" data-mobile = "1" data-mobilemin = "1" data-dots="true" data-arrows="false">
                <?php if ($the_query->have_posts()):
                    while ($the_query->have_posts()): $the_query->the_post(); ?>
                        <?php na_part_templates('layout/slider','box', array('atts' => $atts));?>
                    <?php endwhile;
                endif;
                wp_reset_postdata();?>
            </div>

        </div>
        <?php break;
}
?>



