<?php
/**
 * Created by PhpStorm.
 * User: nmc2010
 * Date: 6/25/2017
 * Time: 10:45 AM
 */

/* Add Color category ================================================================================================*/
function colorpicker_field_add_new_category( $taxonomy ) {
    ?>
    <div class="form-field term-colorpicker-wrap">
        <label for="term-colorpicker">Category Color</label>
        <input name="_category_color" value="#ffffff" class="colorpicker" id="term-colorpicker" />
        <p>This is the field description where you can tell the user how the color is used in the theme.</p>
    </div>
    <?php
}
add_action( 'category_add_form_fields', 'colorpicker_field_add_new_category' );

function colorpicker_field_edit_category( $term ) {
    $color = get_term_meta( $term->term_id, '_category_color', true );
    $color = ( ! empty( $color ) ) ? "#{$color}" : '#ffffff';
    ?>
    <tr class="form-field term-colorpicker-wrap">
        <th scope="row"><label for="term-colorpicker">Severity Color</label></th>
        <td>
            <input name="_category_color" value="<?php echo $color; ?>" class="colorpicker" id="term-colorpicker" />
            <p class="description">This is the field description where you can tell the user how the color is used in the theme.</p>
        </td>
    </tr>
    <?php
}
add_action( 'category_edit_form_fields', 'colorpicker_field_edit_category' );

function save_termmeta( $term_id ) {
    // Save term color if possible
    if( isset( $_POST['_category_color'] ) && ! empty( $_POST['_category_color'] ) ) {
        update_term_meta( $term_id, '_category_color', sanitize_hex_color_no_hash( $_POST['_category_color'] ) );
    } else {
        delete_term_meta( $term_id, '_category_color' );
    }
}
add_action( 'created_category', 'save_termmeta' );  // Variable Hook Name
add_action( 'edited_category',  'save_termmeta' );
function category_colorpicker_enqueue( $taxonomy ) {
    if( null !== ( $screen = get_current_screen() ) && 'edit-category' !== $screen->id ) {
        return;
    }
    wp_enqueue_script( 'wp-color-picker' );
    wp_enqueue_style( 'wp-color-picker' );

}
add_action( 'admin_enqueue_scripts', 'category_colorpicker_enqueue' );

function colorpicker_init_inline() {
    if( null !== ( $screen = get_current_screen() ) && 'edit-category' !== $screen->id ) {
        return;
    }
    ?>
    <script>
        jQuery( document ).ready( function( $ ) {

            $( '.colorpicker' ).wpColorPicker();

        } );
    </script>
    <?php
}
add_action( 'admin_print_scripts', 'colorpicker_init_inline', 20 );

/* load_more_post ====================================================================================================*/
add_action('wp_ajax_load_more_post', 'nano_load_more_post');
add_action('wp_ajax_nopriv_load_more_post', 'nano_load_more_post');
function nano_load_more_post(){
    $cat            = $_POST['cat'];
    $number         = $_POST['number'];
    $col            = $_POST['col'];
    $paged          = $_POST['paged'];
    $ads            = $_POST['ads'];
    $layout         = $_POST['layout'];

    $args = array(
        'post_type'           => 'post',
        'orderby'             => 'date',
        'order'               => 'DESC',
        'post_status'         => 'publish',
        'ignore_sticky_posts' => true,
        'posts_per_page'      => $number,
        'category_name'       => $cat,
        'paged'               => $paged,
    );

    $the_query = new WP_Query( $args );
    $i=1;
    if($layout == 'grid'){
        if ($the_query->have_posts()):
            while ($the_query->have_posts()): $the_query->the_post(); ?>

                <?php if($i == 1 && $ads =='leaderboard'){?>
                    <div class="col-item ads-item col-xs-12 col-sm-12 col-md-12 center" >
                        <?php echo wp_kses_post(get_theme_mod('liberty_ads_leaderboard'));?>
                    </div>
                <?php }?>
                <div class="col-item <?php echo esc_attr($col);?>">
                    <?php na_part_templates('layout/content-grid');?>
                </div>
                <?php if($i == $number && $ads =='large-rectangle'){?>
                    <div class="col-item ads-item <?php echo esc_attr($col);?>">
                        <?php echo wp_kses_post(get_theme_mod('liberty_ads_rectangle'));?>
                    </div>
                <?php }
                $i++; endwhile;
        endif;
        wp_reset_postdata();
        wp_die();
        ?>
    <?php } elseif($layout == 'list'){?>
        <?php if ($the_query->have_posts()):
            while ($the_query->have_posts()): $the_query->the_post(); ?>

                <?php if($i == 1 && $ads =='leaderboard'){?>
                    <div class="col-item ads-item col-xs-12 col-sm-12 col-md-12 center">
                        <?php echo wp_kses_post(get_theme_mod('liberty_ads_leaderboard'));?>
                    </div>
                <?php }?>
                <div class="col-item <?php echo esc_attr($col);?>">
                    <?php na_part_templates('layout/content-list');?>
                </div>
                <?php if($i == $number && $ads =='large-rectangle'){?>
                    <div class="col-item ads-item <?php echo esc_attr($col);?>">
                        <?php echo wp_kses_post(get_theme_mod('liberty_ads_rectangle'));?>
                    </div>
                <?php }?>
                <?php $i++; endwhile;
        endif;
        wp_reset_postdata();
        wp_die();
        ?>
    <?php }
    elseif($layout == 'tran'){?>
        <?php if ($the_query->have_posts()):
            while ($the_query->have_posts()): $the_query->the_post(); ?>

                <?php if($i == 1 && $ads =='leaderboard'){?>
                    <div class="col-item ads-item col-xs-12 col-sm-12 col-md-12 center">
                        <?php echo wp_kses_post(get_theme_mod('liberty_ads_leaderboard'));?>
                    </div>
                <?php }?>
                <div class="col-item <?php echo esc_attr($col);?>">
                    <?php na_part_templates('layout/content-tran');?>
                </div>
                <?php if($i == $number && $ads =='large-rectangle'){?>
                    <div class="col-item ads-item <?php echo esc_attr($col);?>">
                        <?php echo wp_kses_post(get_theme_mod('liberty_ads_rectangle'));?>
                    </div>
                <?php }?>

                <?php $i++; endwhile;
        endif;
        wp_reset_postdata();
        wp_die();
    } else{
        if ($the_query->have_posts()):
            while ($the_query->have_posts()): $the_query->the_post(); ?>

                <?php if($i == 1 && $ads =='leaderboard'){?>
                    <div class="col-item ads-item col-xs-12 col-sm-12 col-md-12 center">
                        <?php echo wp_kses_post(get_theme_mod('liberty_ads_leaderboard'));?>
                    </div>
                <?php }?>

                <?php if($i%2==0){?>
                    <div class="col-item <?php echo esc_attr($col);?>">
                        <?php na_part_templates('layout/content-tran');?>
                    </div>
                <?php } else{?>
                    <div class="col-item <?php echo esc_attr($col);?>">
                        <?php na_part_templates('layout/content-grid');?>
                    </div>
                <?php } ?>

                <?php if($i == $number && $ads =='large-rectangle'){?>
                    <div class="col-item ads-item <?php echo esc_attr($col);?>">
                        <?php echo wp_kses_post(get_theme_mod('liberty_ads_rectangle'));?>
                    </div>
                <?php }
                $i++; endwhile;
        endif;
        wp_reset_postdata();
        wp_die();
    }
    //end
}

/* load more category ================================================================================================*/
add_action('wp_ajax_load_more_category', 'nano_load_more_category');
add_action('wp_ajax_nopriv_load_more_category', 'nano_load_more_category');
function nano_load_more_category(){
    $cat            = $_POST['cat'];
    $number         = $_POST['number'];
    $col            = $_POST['col'];
    $ads            = $_POST['ads'];
    $layout         = $_POST['layout'];

    $args = array(
        'post_type'           => 'post',
        'orderby'             => 'date',
        'order'               => 'DESC',
        'post_status'         => 'publish',
        'ignore_sticky_posts' => true,
        'posts_per_page'      => $number,
        'category_name'       => $cat,
    );
    $the_query = new WP_Query( $args );
    $num_pages = $the_query->max_num_pages;
    $i=1;
    ?>
    <span id="filterPages" class="hidden" data-filter-number="<?php echo esc_attr($number);?>" data-filter-cat="<?php echo esc_attr($cat);?>" data-filter-pages="<?php echo esc_attr($num_pages);?>"></span>
    <?php
    if($layout == 'grid'){
        if ($the_query->have_posts()):
            while ($the_query->have_posts()): $the_query->the_post(); ?>

                <div class="col-item <?php echo esc_attr($col);?>">
                    <?php na_part_templates('layout/content-grid');?>
                </div>

                <?php
                $i++; endwhile;
        endif;
        wp_reset_postdata();
        wp_die();
    }?>

    <?php
    //end
}

/* nano_pagination ===================================================================================================*/
if( ! function_exists( 'nano_pagination' ) ) {
    function nano_pagination(  $range = 2, $current_query = '', $pages = '' ) {
        $showitems = ($range * 2)+1;

        if( $current_query == '' ) {
            global $paged;
            if( empty( $paged ) ) $paged = 1;
        } else {
            $paged = $current_query->query_vars['paged'];
        }

        if( $pages == '' ) {
            if( $current_query == '' ) {
                global $wp_query;
                $pages = $wp_query->max_num_pages;
                if(!$pages) {
                    $pages = 1;
                }
            } else {
                $pages = $current_query->max_num_pages;
            }
        }

        if(1 != $pages) { ?>
            <div class="navigation pagination clearfix">
                <?php if ( $paged > 1 ) { ?>
                    <a class="prev page-numbers" href="<?php echo esc_url(get_pagenum_link($paged - 1)) ?>"><i class="fa fa-angle-left"></i></a>
                <?php }

                for ($i=1; $i <= $pages; $i++) {
                    if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems )) {
                        if ($paged == $i) { ?>
                            <span class="page-numbers current"><?php echo esc_html($i) ?></span>
                        <?php } else { ?>
                            <a href="<?php echo esc_url(get_pagenum_link($i)) ?>" class="inactive page-numbers"><?php echo esc_html($i) ?></a>
                            <?php
                        }
                    }
                }
                if ($paged < $pages) { ?>
                    <a class="next page-numbers" href="<?php echo esc_url(get_pagenum_link($paged + 1)) ?>"><i class="fa fa-angle-right"></i></a>
                <?php } ?>
            </div>
            <?php
        }
    }
}
if( !function_exists( 'nano_get_query_var' ) ) {
    function nano_get_query_var( $var, $default = null){
        if((is_front_page() || is_home()) && $var == 'paged'){
            $var = 'page';
        }
        return  get_query_var( $var, $default );
    }
}

/* Count share =======================================================================================================*/
if(!function_exists('share_count')){
    function share_count( $url ) {
        $count_face=facebook_like_share_count($url);
        $count_twitter=twitter_tweet_count($url);
        $count_linkedin=linkedin_count($url);
        $count_pinterest=pinterest_count($url);
        $count_google=google_count($url);
        $count=$count_face + $count_twitter + $count_linkedin + $count_pinterest + $count_google;
        return $count;
    };
}
function facebook_like_share_count( $url ) {
    global $wp_filesystem;
    $api ='http://graph.facebook.com/?id=' . $url ;

    if( empty( $wp_filesystem ) ) {
        require_once( ABSPATH .'/wp-admin/includes/file.php' );
        WP_Filesystem();
    }
    if( $wp_filesystem ) {
        $count_face=$wp_filesystem->get_contents($api);
    }
    if($count_face){
        $count = json_decode( $count_face );
        return $count->share->share_count;
    }
    return false;
};

function twitter_tweet_count( $url ) {
    global $wp_filesystem;
    $api ='http://public.newsharecounts.com/count.json?url=' . $url;
    if( empty( $wp_filesystem ) ) {
        require_once( ABSPATH .'/wp-admin/includes/file.php' );
        WP_Filesystem();
    }
    if( $wp_filesystem ) {
        $count_tweet=$wp_filesystem->get_contents($api);
    }
    if($count_tweet){
        $count = json_decode( $count_tweet );
        return $count->count;
    }
    return false;
};

function linkedin_count( $url ) {
    global $wp_filesystem;
    $api ='https://www.linkedin.com/countserv/count/share?url=' . urlencode( $url ).'&format=json';
    if( empty( $wp_filesystem ) ) {
        require_once( ABSPATH .'/wp-admin/includes/file.php' );
        WP_Filesystem();
    }
    if( $wp_filesystem ) {
        $count_linkedin=$wp_filesystem->get_contents($api);
    }
    if($count_linkedin){
        $count = json_decode( $count_linkedin );
        return  $count->count;
    }
    return false;
}

function pinterest_count( $url ) {
    $check_url = 'http://api.pinterest.com/v1/urls/count.json?callback=pin&url=' . urlencode( $url );
    $response = wp_remote_retrieve_body( wp_remote_get( $check_url ) );

    $response = str_replace( 'pin({', '{', $response);
    $response = str_replace( '})', '}', $response);
    $encoded_response = json_decode( $response, true );

    $share_count = intval( $encoded_response['count'] );
    return $share_count;
}

function google_count( $url ) {
    if( !$url ) {
        return 0;
    }
    if ( !filter_var($url, FILTER_VALIDATE_URL) ){
        return 0;
    }
    foreach (array('apis', 'plusone') as $host) {
        $ch = curl_init(sprintf('https://%s.google.com/u/0/_/+1/fastbutton?url=%s',
            $host, urlencode($url)));
        curl_setopt_array($ch, array(
            CURLOPT_FOLLOWLOCATION => 1,
            CURLOPT_RETURNTRANSFER => 1,
            CURLOPT_SSL_VERIFYPEER => 0,
            CURLOPT_USERAGENT      => 'Mozilla/5.0 (Windows NT 6.1; WOW64) ' .
                'AppleWebKit/537.36 (KHTML, like Gecko) ' .
                'Chrome/32.0.1700.72 Safari/537.36' ));
        $response = curl_exec($ch);
        $curlinfo = curl_getinfo($ch);
        curl_close($ch);
        if (200 === $curlinfo['http_code'] && 0 < strlen($response)) { break 1; }
        $response = 0;
    }

    if( !$response ) {
        return 0;
    }
    preg_match_all('/window\.__SSR\s\=\s\{c:\s(\d+?)\./', $response, $match, PREG_SET_ORDER);
    return (1 === sizeof($match) && 2 === sizeof($match[0])) ? intval($match[0][1]) : 0;
}
/* Facebook Comments =================================================================================================*/
    add_action('wp_head', 'sumeo_facebook_comments');
    function sumeo_facebook_comments() {
        $app_id=get_theme_mod('sumeo_comments_single',''); ?>
        <meta property="fb:app_id" content="<?php echo esc_attr($app_id);?>" />
    <?php }